package com.yihu.jw.entity.thirdUpload;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wsy on 2021/9/1.
 */
@Entity
@Table(name = "base_ns_prescription")
public class BaseNsPrescriptionDO extends UuidIdentityEntity {

    /*电子处方表*/
    private String idPrescription;      //记录唯一标识
    private String presNo;              //处方号
    private String presClassCode;       //处方类别编码
    private String presClassName;       //处方类别名称
    private String ptId;                //患者ID
    private String medRdNo;             //就诊号
    private String medClassCode;        //就诊类别编码
    private String medClassName;        //就诊类别名称
    private String ptNo;                //患者姓名
    private String geCode;              //患者性别编码
    private String ptAge;               //患者年龄
    private String birthday;            //出生日期
    private String cardType;            //患者证件类型
    private String idNo;                //患者有效证件号
    private String guarderName;         //监护人姓名
    private String guarderNo;           //监护人身份证号码
    private String ptTel;               //患者联系方式
    private String ptDistrict;          //患者所在地区
    private String allergicHistory;     //患者过敏信息
    private String costType;            //患者费别
    private String insClassCode;        //保险类别编码
    private String insClassName;        //保险类别名称
    private String orgCode;             //医疗机构编码
    private String orgName;             //医疗机构名称
    private String presSubjectCode;     //开方医师所属专业代码（诊疗科目代码）
    private String presSubjectName;     //开方医师所属专业名称（诊疗科目名称）
    private String presDeptCode;        //开方科室编码
    private String presDeptName;        //开方科室名称
    private String presTime;            //开方时间
    private String presDocCode;         //开方医生唯一标识
    private String presDocName;         //开方医生姓名
    private String presDocIdNo;         //开方医生身份证号
    private String trialDocCode;        //审方医生唯一标识
    private String trialDocName;        //审方医生姓名
    private String trialDocIdNo;        //审方医生身份证
    private String trialTime;           //审方时间
    private String diagCode;            //诊断编码
    private String diagName;            //诊断名称
    private String diseasesType;        //疾病分类
    private String mobilityFlag;        //行动不便标志
    private String longMedicalFlag;     //病情稳定需长期服药标志
    private String presEffecDays;       //处方有效期（单位天）
    private String totalPrice;          //总金额
    private Date uploadTime;          //上传时间
    private Date createTime;          //生成时间
    private String upload;              //上传时间

    @Column(name = "id_prescription")
    public String getIdPrescription() {
        return idPrescription;
    }

    public void setIdPrescription(String idPrescription) {
        this.idPrescription = idPrescription;
    }
    @Column(name = "pres_no")
    public String getPresNo() {
        return presNo;
    }

    public void setPresNo(String presNo) {
        this.presNo = presNo;
    }
    @Column(name = "pres_class_code")
    public String getPresClassCode() {
        return presClassCode;
    }

    public void setPresClassCode(String presClassCode) {
        this.presClassCode = presClassCode;
    }
    @Column(name = "pres_class_name")
    public String getPresClassName() {
        return presClassName;
    }

    public void setPresClassName(String presClassName) {
        this.presClassName = presClassName;
    }
    @Column(name = "pt_id")
    public String getPtId() {
        return ptId;
    }

    public void setPtId(String ptId) {
        this.ptId = ptId;
    }
    @Column(name = "med_rd_no")
    public String getMedRdNo() {
        return medRdNo;
    }

    public void setMedRdNo(String medRdNo) {
        this.medRdNo = medRdNo;
    }
    @Column(name = "med_class_code")
    public String getMedClassCode() {
        return medClassCode;
    }

    public void setMedClassCode(String medClassCode) {
        this.medClassCode = medClassCode;
    }
    @Column(name = "med_class_name")
    public String getMedClassName() {
        return medClassName;
    }

    public void setMedClassName(String medClassName) {
        this.medClassName = medClassName;
    }
    @Column(name = "pt_no")
    public String getPtNo() {
        return ptNo;
    }

    public void setPtNo(String ptNo) {
        this.ptNo = ptNo;
    }
    @Column(name = "ge_code")
    public String getGeCode() {
        return geCode;
    }

    public void setGeCode(String geCode) {
        this.geCode = geCode;
    }
    @Column(name = "pt_age")
    public String getPtAge() {
        return ptAge;
    }

    public void setPtAge(String ptAge) {
        this.ptAge = ptAge;
    }
    @Column(name = "birthday")
    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }
    @Column(name = "card_type")
    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }
    @Column(name = "id_no")
    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }
    @Column(name = "guarder_name")
    public String getGuarderName() {
        return guarderName;
    }

    public void setGuarderName(String guarderName) {
        this.guarderName = guarderName;
    }
    @Column(name = "guarder_no")
    public String getGuarderNo() {
        return guarderNo;
    }

    public void setGuarderNo(String guarderNo) {
        this.guarderNo = guarderNo;
    }
    @Column(name = "pt_tel")
    public String getPtTel() {
        return ptTel;
    }

    public void setPtTel(String ptTel) {
        this.ptTel = ptTel;
    }
    @Column(name = "pt_district")
    public String getPtDistrict() {
        return ptDistrict;
    }

    public void setPtDistrict(String ptDistrict) {
        this.ptDistrict = ptDistrict;
    }
    @Column(name = "allergic_history")
    public String getAllergicHistory() {
        return allergicHistory;
    }

    public void setAllergicHistory(String allergicHistory) {
        this.allergicHistory = allergicHistory;
    }
    @Column(name = "cost_type")
    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }
    @Column(name = "ins_class_code")
    public String getInsClassCode() {
        return insClassCode;
    }

    public void setInsClassCode(String insClassCode) {
        this.insClassCode = insClassCode;
    }
    @Column(name = "ins_class_name")
    public String getInsClassName() {
        return insClassName;
    }

    public void setInsClassName(String insClassName) {
        this.insClassName = insClassName;
    }
    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
    @Column(name = "pres_subject_code")
    public String getPresSubjectCode() {
        return presSubjectCode;
    }

    public void setPresSubjectCode(String presSubjectCode) {
        this.presSubjectCode = presSubjectCode;
    }
    @Column(name = "pres_subject_name")
    public String getPresSubjectName() {
        return presSubjectName;
    }

    public void setPresSubjectName(String presSubjectName) {
        this.presSubjectName = presSubjectName;
    }
    @Column(name = "pres_dept_code")
    public String getPresDeptCode() {
        return presDeptCode;
    }

    public void setPresDeptCode(String presDeptCode) {
        this.presDeptCode = presDeptCode;
    }
    @Column(name = "pres_dept_name")
    public String getPresDeptName() {
        return presDeptName;
    }

    public void setPresDeptName(String presDeptName) {
        this.presDeptName = presDeptName;
    }
    @Column(name = "pres_time")
    public String getPresTime() {
        return presTime;
    }

    public void setPresTime(String presTime) {
        this.presTime = presTime;
    }
    @Column(name = "pres_doc_code")
    public String getPresDocCode() {
        return presDocCode;
    }

    public void setPresDocCode(String presDocCode) {
        this.presDocCode = presDocCode;
    }
    @Column(name = "pres_doc_name")
    public String getPresDocName() {
        return presDocName;
    }

    public void setPresDocName(String presDocName) {
        this.presDocName = presDocName;
    }
    @Column(name = "pres_doc_id_no")
    public String getPresDocIdNo() {
        return presDocIdNo;
    }

    public void setPresDocIdNo(String presDocIdNo) {
        this.presDocIdNo = presDocIdNo;
    }
    @Column(name = "trial_doc_code")
    public String getTrialDocCode() {
        return trialDocCode;
    }

    public void setTrialDocCode(String trialDocCode) {
        this.trialDocCode = trialDocCode;
    }
    @Column(name = "trial_doc_name")
    public String getTrialDocName() {
        return trialDocName;
    }

    public void setTrialDocName(String trialDocName) {
        this.trialDocName = trialDocName;
    }
    @Column(name = "trial_doc_id_no")
    public String getTrialDocIdNo() {
        return trialDocIdNo;
    }

    public void setTrialDocIdNo(String trialDocIdNo) {
        this.trialDocIdNo = trialDocIdNo;
    }
    @Column(name = "trial_time")
    public String getTrialTime() {
        return trialTime;
    }

    public void setTrialTime(String trialTime) {
        this.trialTime = trialTime;
    }
    @Column(name = "diag_code")
    public String getDiagCode() {
        return diagCode;
    }

    public void setDiagCode(String diagCode) {
        this.diagCode = diagCode;
    }
    @Column(name = "diag_name")
    public String getDiagName() {
        return diagName;
    }

    public void setDiagName(String diagName) {
        this.diagName = diagName;
    }
    @Column(name = "diseases_type")
    public String getDiseasesType() {
        return diseasesType;
    }

    public void setDiseasesType(String diseasesType) {
        this.diseasesType = diseasesType;
    }
    @Column(name = "mobility_flag")
    public String getMobilityFlag() {
        return mobilityFlag;
    }

    public void setMobilityFlag(String mobilityFlag) {
        this.mobilityFlag = mobilityFlag;
    }
    @Column(name = "long_medical_flag")
    public String getLongMedicalFlag() {
        return longMedicalFlag;
    }

    public void setLongMedicalFlag(String longMedicalFlag) {
        this.longMedicalFlag = longMedicalFlag;
    }
    @Column(name = "pres_effec_days")
    public String getPresEffecDays() {
        return presEffecDays;
    }

    public void setPresEffecDays(String presEffecDays) {
        this.presEffecDays = presEffecDays;
    }
    @Column(name = "total_price")
    public String getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(String totalPrice) {
        this.totalPrice = totalPrice;
    }

    @Column(name = "upload_time")
    public Date getUploadTime() {return uploadTime;}

    public void setUploadTime(Date uploadTime) {this.uploadTime = uploadTime;}

    @Column(name = "create_time")
    public Date getCreateTime() {return createTime;}

    public void setCreateTime(Date createTime) {this.createTime = createTime;}

    @Column(name = "upload")
    public String getUpload() {
        return upload;
    }

    public void setUpload(String upload) {
        this.upload = upload;
    }



}
